Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > перенос текста на другую строку

перенос текста на другую строку

Ответ
Поиск в этой теме
Непрочитано 09.02.2007, 07:23 #1
перенос текста на другую строку
Димас
 
джедай
 
Магадан
Регистрация: 31.01.2005
Сообщений: 460

каким символом можно задать перенос мультитекста на другую строку?

интересует что-либо похожее на
или

в HTML
Просмотров: 34225
 
Непрочитано 09.02.2007, 07:57
#2
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Символ \n. О введении управляющих последовательностей в mtext можно посмотреть здесь http://dwg.ru/forum/viewtopic.php?t=11608. Вкратце - могу предложить использовать _-mtext (т.е. текстовый вариант команды _mtext).
Ax3 вне форума  
 
Автор темы   Непрочитано 09.02.2007, 08:26
#3
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


не подошло, к сожалению

идея была такая - в штамп хочу автоматом проставить название проекта
название беру из свойств документа (Title), его можно записать там только в одну строчку

вставляю в штам как %<\AcVar Title>%

каким символом можно заставить автокад переносить текст на новую строчку в поле?

пока вижу два решения проблемы - добавить дополнительное поле и вставлять текст в штамп в 2 строки
либо вставить в свойства документа тест как
{\f'Times New Roman|b0|i0|c204|p18;текст...

оба способа неудобны тем что в дальнейшем планируется пользоваться свойством Title и хотелось бы иметь там нормальный текст с минимумом символов
Димас вне форума  
 
Непрочитано 09.02.2007, 08:28
#4
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Sorry. Проверил - не работает. А просто enter не подходит?
Ax3 вне форума  
 
Непрочитано 09.02.2007, 08:30
#5
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


А, понял. Посмотрю, но что-то пока простых решений не вижу.
Ax3 вне форума  
 
Автор темы   Непрочитано 09.02.2007, 08:32
#6
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


Цитата:
Сообщение от Ax3
Sorry. Проверил - не работает. А просто enter не подходит?
нет)
см пост выше
Димас вне форума  
 
Непрочитано 09.02.2007, 09:19
#7
den001

Инженер по автоматизации (строительство)
 
Регистрация: 05.05.2006
Люберцы
Сообщений: 241


Димас
\P

Хотя нет, прочитал повнимательнее, у тебя серьезнее проблема, звиняй. :wink:
den001 вне форума  
 
Автор темы   Непрочитано 09.02.2007, 09:22
#8
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


аналогично(

проверял и текст'пробел'/P'пробел'текст
и текст/Pтекст

и с \ и с / не работает
Димас вне форума  
 
Непрочитано 09.02.2007, 09:46
#9
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,751


А попробовать ввести \\P?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 09.02.2007, 09:51
#10
Ax3

Programming, automation, CADs, GISs. "Теплоком"
 
Регистрация: 02.02.2007
Россия, Санкт-Петербург
Сообщений: 297


Я похожую вещь делал в Word. Так там я в программе использовал свойство документа, а для визуализации использовал переменную, в которой нужным образом форматировал строку (вставлял всякие управляющие символы).
Ax3 вне форума  
 
Автор темы   Непрочитано 09.02.2007, 09:57
#11
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


\\P тоже не подошло
Димас вне форума  
 
Непрочитано 09.02.2007, 10:23
#12
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,751


Можно попробовать так:
Код:
[Выделить все]
(vla-AddText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (strcat "%<\\AcVar Title>%" "\n" "New string") (vlax-3d-point (getpoint)) 2.5)
Или так:
Код:
[Выделить все]
(vla-AddmText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-3d-point (getpoint)) 0.
(strcat "%<\\AcVar Title>%" "\n" "New string"))
Или так:
Код:
[Выделить все]
(vla-AddmText (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-3d-point (getpoint)) 0.
(strcat "%<\\AcVar Title>%" "\\P" "New string"))
---
Добавлено: и \n, и \\P работают в многострочном тексте в таком варианте; для однострочного прокатывает только \n.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 09.02.2007, 11:03
#13
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепройт
Сообщений: 3,989


а есть ли возможность принудительного перехода на новую строку в ячейке Автокадовской таблицы?
kp+ вне форума  
 
Непрочитано 09.02.2007, 11:27
#14
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,751


<Alt> + <Enter> - это для переноса строки внутри одной ячейки.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 09.02.2007, 14:40
#15
kp+

идущий по граблям
 
Регистрация: 26.05.2005
Днепройт
Сообщений: 3,989


Цитата:
Сообщение от Кулик Алексей aka kpblc
<Alt> + <Enter> - это для переноса строки внутри одной ячейки.
СПАСИБО!
kp+ вне форума  
 
Автор темы   Непрочитано 12.02.2007, 02:10
#16
Димас

джедай
 
Регистрация: 31.01.2005
Магадан
Сообщений: 460
<phrase 1=


спасибо, но не подходит

я тогда проще разобью текст на две строки разместив его по 2-м полям
одно %<\\AcVar Title>% а второе допустим тут %<\AcVar CustomDP.титул2>%

а перенос строки вручную проставлю когда эти поля ставить буду..
Димас вне форума  
 
Непрочитано 21.11.2011, 13:09
#17
andery


 
Регистрация: 27.12.2007
Сообщений: 132
<phrase 1=


Появилось ли решение данной проблемы?
Свойства подшивки называю объект, и вставляю в штамп и хотелось бы управлять переносами.
andery вне форума  
 
Непрочитано 21.11.2011, 13:20
#18
kha

BIM, С#, AutoCAD, LISP
 
Регистрация: 15.03.2006
Дуброво
Сообщений: 656


Присоединяюсь к вопросу.
Пока что решаю путём вбивания значительного количества пробелов, чтобы в многострочном атрибуте произошёл автоперенос на другую строку. Но хотелось бы как-нибудь поудобнее, так как не всегда получается точно определить необходимое количество пробелов. Если не хватает - приходится возвращаться обратно к заданию пользовательского свойства чертежа.
__________________
"Молодой человек, Вы не представляете всей широты поставленной перед Вами задачи." © Панкратова Г.Е.
kha вне форума  
 
Непрочитано 29.07.2013, 09:30
#19
allar8


 
Регистрация: 12.03.2013
Сообщений: 577


Цитата:
Сообщение от Димас Посмотреть сообщение
идея была такая - в штамп хочу автоматом проставить название проекта
Случайно совсем получилось отформатировать поле так как нужно. Печатаешь в Мтекст содержимое своего поля. Форматируешь его как тебе нужно (например с шифтом принудительно переносишь слова). Копируешь все содержимое этого Мтекста в блокнот. А уже из блокнота, вставляешь в нужное тебе поле (Например в Имя проекта). При последующей вставке поля в чертеж, оно вставляется с тем же форматированием с которым тебе нужно.
allar8 вне форума  
 
Непрочитано 29.07.2013, 10:03
#20
shartal


 
Регистрация: 12.08.2009
Сообщений: 338


Как это у вас получилось? Если в блокноте больше одной строки текста, вставка в свойства подшивки не работает. Во всяком случае в 2011.
shartal вне форума  
 
Непрочитано 29.07.2013, 10:53
#21
allar8


 
Регистрация: 12.03.2013
Сообщений: 577


Цитата:
Сообщение от shartal Посмотреть сообщение
Как это у вас получилось? Если в блокноте больше одной строки текста, вставка в свойства подшивки не работает. Во всяком случае в 2011.
Попробуй, я это не могу объяснить, но это работает. В блокноте вставляется автоматом в одну строку. Копируй эту одну строку в нужное тебе поле и все получится. У меня АСАД 2010.
allar8 вне форума  
 
Непрочитано 23.05.2014, 17:25
#22
cader


 
Регистрация: 23.05.2014
Сообщений: 1


Не знаю актуально ли ещё, но вот решение:
в редакторе Мтекста вставляете неразрывный пробел (ctrl+shift+пробел) копируете его и вставляете в нужные свойства подшивки.
Если кто узнает ASCII код данного символа, отпишитесь пожалуйста что за код.
P.S. Кто не знает символы можно вставлять зажав alt и набрав его код на дополнительной клавиатуре (где num lock).
cader вне форума  
 
Непрочитано 24.05.2014, 16:41
#23
skkkk

AutoCAD_2008->2011
 
Регистрация: 20.03.2008
Московская область
Сообщений: 2,289


Цитата:
Сообщение от cader Посмотреть сообщение
Если кто узнает ASCII код данного символа, отпишитесь пожалуйста что за код.
Если спросить у лиспа:
Код:
то этот код будет 160, но если вводить 160 при зажатом Alt, то появляется почему-то символ a
P.S.: Форум почему-то при вставке из Мтекста через буфер обмена определил этот знак как "*"...
P.P.S.: Выяснил: этот код 0160

Последний раз редактировалось skkkk, 24.05.2014 в 17:20.
skkkk вне форума  
 
Непрочитано 17.07.2014, 10:25
#24
aal1200


 
Регистрация: 30.08.2013
Сообщений: 48


а мне нужно сделать замену в штампах всего проекта, штамп таблица, т.е. в одной ячейке надо чтобы перенос осуществлялся там где мне надо, а не так как получается автоматом. Может есть ли какой символ через например %%u, который говорит автокаду, вроде в ворде такое было когда включаешь непечатаемые символы, там знак такой был типа "IIP"

Последний раз редактировалось aal1200, 17.07.2014 в 10:30.
aal1200 вне форума  
 
Непрочитано 06.03.2015, 13:59
1 | #25
doctorraz

электрик
 
Регистрация: 19.02.2010
Волгоград
Сообщений: 1,544
Отправить сообщение для doctorraz с помощью Skype™


присоединяюсь к вопросу вставка alt+0160 ничего не дает (получается пробел)
в Ultraedit сделал такой файл
хотя он в блокноте и отображается в одну строку, но при вставке в Мтекст произойдет перенос, аналогично если вставить этот текст в однострочное поле подшивки или свойств чертежа, а потом вытащить его полем в Мтекст (будет в две строки)
Вопрос возможно ли сделать через ввод ASCII или еще как?
В самом каде если в описании подшивки ввести многострочный текст (при создании подшивки), при просмотре свойств, описание будет отображается в одну строку, но опять же при вставке поля-ссылки в Мтекст перенос строк будет
Вложения
Тип файла: zip вставка.zip (136 байт, 118 просмотров)
__________________
Мастерская СПДС
doctorraz вне форума  
 
Непрочитано 03.09.2015, 05:00
#26
Sart


 
Регистрация: 14.02.2011
Сообщений: 55


Если еще кому то актуально, мне в похожей ситуации помог оператор "\N". Букву набирать именное в верхнем регистре, в нижнем не прокатывает.
Так же может пойдут коды из Юникоде:
LF (U+000A): англ. line feed — подача строки;
CR (U+000D): англ. carriage return — возврат каретки;
NEL (U+0085): англ. next line — переход на следующую строку;
LS (U+2028): англ. line separator — разделитель строк;
PS (U+2029): англ. paragraph separator — разделитель абзацев.
Набирать со слэшем, т.е. например "\U+0085".
Хотя мне почему то не прокатили.
Sart вне форума  
 
Непрочитано 14.06.2018, 14:05
#27
Serghei


 
Регистрация: 07.02.2007
Мъ
Сообщений: 288


Цитата:
Сообщение от Sart Посмотреть сообщение
Если еще кому то актуально
Привет.
Да, актуально.
Только не понятно как это работает.
Кто-нибудь решил эту проблему? Какой символ можно подставить в текстовую строку, чтобы следующее предложение перешло на следующую строку.
Serghei вне форума  
 
Непрочитано 09.09.2019, 16:37
#28
Estor

проектировщик-электрик
 
Регистрация: 18.01.2007
Омск
Сообщений: 8


поскольку символ разрыва строки не вставляется / не работает во всех случаях, я решил данную проблему с тыла: используя символ неразрывного пробела вместо нормальных пробелов и нормальный пробел вместо разрыва строки.

Все нужные пробелы в тексте заменяются на символ неразрывного пробела "\U+00A0". А в месте, где нужен разрыв строки, вставляется нормальный пробел.
Если поле многострочного текста сделать небольшой ширины, то автокад будет переносить текст в месте пробела на следующую строку, т.к. слова разделенные неразрывным пробелом он воспринимает как одно слово.
Estor вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > перенос текста на другую строку

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск